# uproot.interpretation.identify.parse_typename

Defined in uproot.interpretation.identify on line 1075.

uproot.interpretation.identify.parse_typename(typename, file=None, quote=False, outer_header=True, inner_header=False, string_header=False)
  Parameters:

    - typename (str) – The C++ type to parse.

    - file (None or uproot.reading.CommonFileMethods) – Used to provide error messages with the `file_path`.

    - quote (bool) – If True, return the output as a string to evaluate. This is used to build code for a uproot.Model, rather than the uproot.Model itself.

    - outer_header (bool) – If True, set the `header` flag for the outermost uproot.containers.AsContainer to True.

    - inner_header (bool) – If True, set the `header` flag for inner uproot.containers.AsContainer objects to True.

    - string_header (bool) – If True, set the `header` flag for uproot.AsString objects to True.

  Return a uproot.Model or uproot.containers.AsContainer for the C++ `typename`.